/*********************************************************************
 * Neophytos Iacovou, University of Minnesota DCS.
 *
 * Copyright 1991, 1992, 1993, 1994 
 * by the Regents of the University of Minnesota
 *
 * see the file "Copyright" in the distribution for conditions of use.
 *********************************************************************/

/*-----------------------------------------------------------------------------
 * Header File: generateAskForms.h 
 *
 *----------------------------------------------------------------------------*/

#ifndef _GENERATEASKFORMS_H_
#define _GENERATEASKFORMS_H_

#include <stdio.h>
#include <stdlib.h>
#include "standard.h"



    /*
     * Functions
     */

VOID
V_ReadZ3950Listing( P_CHAR aCh_ghost, P_CHAR aCh_binary, P_CHAR aCh_gport,
                    P_CHAR aCh_script, P_CHAR aCh_location );

VOID
V_GenerateLinks( P_CHAR aCh_zentry, P_CHAR aCh_location, P_CHAR aCh_ask_name,
                 P_FILE pFil_links );

VOID
V_GenerateAskForm( P_CHAR aCh_zentry, P_CHAR aCh_ask_name );

VOID
V_GenerateAskBody( P_CHAR  aCh_ask_name, P_CHAR  aCh_zhost, P_CHAR  aCh_zport,
                   P_CHAR  aCh_zcatalog,  P_CHAR aCh_ghost, P_CHAR aCh_binary,
                   P_CHAR aCh_gport, P_CHAR aCh_script );

VOID
V_LoadCommandLineArgs( COUNT caCh_argc, PP_CHAR aaCh_argv, P_CHAR aCh_ghost,
                        P_CHAR aCh_binary, P_CHAR aCh_gport, P_CHAR aCh_script,
                        P_CHAR aCh_location );


#endif /* _GENERATEASKFORMS_H_ */
