/*********************************************************************
 * Neophytos Iacovou, University of Minnesota DCS.
 *
 * Copyright 1991, 1992, 1993, 1994 
 * by the Regents of the University of Minnesota
 *
 * see the file "Copyright" in the distribution for conditions of use.
 *********************************************************************/

/*-----------------------------------------------------------------------------
 * Header File: dispmarc.h 
 *
 *----------------------------------------------------------------------------*/
#ifndef _DRS_H_
#define _DRS_H_

#include <stdio.h>
#include "rectypes.h"
#include "standard.h"





    /*
     * Functions
     */

NUMBER
xputs ( P_CHAR s );

NUMBER
display_result_set (char *input, P_CHAR aCh_assoc, char *type, int maxrec,
                    char *esn, char *query,char *stats, INDEX iEnt_to_print,
                    char *host, char *dbname, int port, char *operator,
                    int mrecs, P_CHAR aCh_title, P_CHAR aCh_author,
                    P_CHAR aCh_subject, P_CHAR aCh_marc_file,
                    P_CHAR aCh_gopher_host, P_CHAR aCh_binary_path,
                    NUMBER N_gopher_port, BOOL B_info );

VOID V_PrintEntry( NUMBER N_assocfile, P_CHAR esn, NUMBER infile, 
                   P_CHAR buffer, FILE *fin, FLAG F_format, INDEX iEnt_i,
                   char *host, char *dbname, int port, char *operator, 
                   int mrecs, P_CHAR aCh_title, P_CHAR aCh_author, 
                   P_CHAR aCh_subject, P_CHAR aCh_marc_file, P_CHAR 
                   aCh_gopher_host, P_CHAR aCh_binary_path, 
                   NUMBER N_gopher_port, BOOL B_info );


#endif /* _DRS_H_ */

